# Basement Supercomputing tags
#Use as deafults if no command line inputs
%define releasebase 1 
%define as_limulus 1
# allow --with[out] <feature> at rpm command line build
%{?_with_basement: %{expand: %%define as_basement 1}}
%{?_with_limulus: %{expand: %%define as_limulus 1}}
#pick the target
%if "1" == "%{as_basement}"
%define targetbase Basement
%else
%if "1" == "%{as_limulus}"
%define targetbase Limulus
%endif
%endif

#%{!?_rel:%{expand:%%global _rel 0.r%(svnversion | sed 's/[^0-9].*$//' | grep '^[0-9][0-9]*$' || echo 0000)}}
%define debug_package %{nil}

Name: warewulf-provision
Summary: Warewulf - Provisioning Module
Version: 3.1
Release:  %{releasebase}.%{targetbase}
#Release: %{_rel}
License: BSD
Group: System Environment/Clustering
Source: %{name}-%{version}.tar.gz
ExclusiveOS: linux
Requires: warewulf-common
BuildRequires: warewulf-common
Conflicts: warewulf < 3
BuildRoot: %{?_tmppath}/%{name}-%{version}-%{release}-root
Patch0: warewulf-wwgetfiles.patch
Patch1: warewulf-file.pl.patch



%description
Warewulf >= 3 is a set of utilities designed to better enable
utilization and maintaince of clusters or groups of computers.  The
provision module provides functionality for provisioning, configuring,
and booting systems.

This package contains the core provisioning components and
administrative tools.  To actually provision systems, the
%{name}-server package is also required.

%package server
Summary: Warewulf - Provisioning Module - Server
Group: System Environment/Clustering
Requires: %{name} = %{version}-%{release}
Requires: mod_perl httpd tftp-server dhcp

%description server
Warewulf >= 3 is a set of utilities designed to better enable
utilization and maintaince of clusters or groups of computers.  The
provision module provides functionality for provisioning, configuring,
and booting systems.

This package contains the CGI scripts and event components to actually
provision systems.  Systems used solely for administration of Warewulf
do not require this package.

%package gpl_sources
Summary: This package contains the GPL sources used in Warewulf
Group: Development/System
Requires: %{name} = %{version}-%{release}

%description gpl_sources
Warewulf >= 3 is a set of utilities designed to better enable
utilization and maintaince of clusters or groups of computers.  The
provision module provides functionality for provisioning, configuring,
and booting systems.

Warewulf is distributed with some third-party software as a
convenience to our users.  While Warewulf itself is licensed under a
DOE license (a derivative of the BSD license), the third-party
software may have different licensing terms, including the GNU General
Public License (GPL).

In order to be 100% compatible with the GPL this package makes
available the included GPL software.


%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure
%{__make} %{?mflags}

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT %{?mflags_install}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO LICENSE
%config(noreplace) %{_sysconfdir}/warewulf/provision.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/warewulf-httpd.conf
%{_bindir}/*
%{_localstatedir}/warewulf/*
%{_datadir}/warewulf/*
%{perl_vendorlib}/Warewulf/DSO/*
%{perl_vendorlib}/Warewulf/Module/*
%{perl_vendorlib}/Warewulf/Provision/
%{perl_vendorlib}/Warewulf/Event/DynamicHosts.pm

%files server
%defattr(-,root,root)
%{_libexecdir}/warewulf/cgi-bin/
%{perl_vendorlib}/Warewulf/Event/Bootstrap.pm
%{perl_vendorlib}/Warewulf/Event/Dhcp.pm
%{perl_vendorlib}/Warewulf/Event/Pxelinux.pm

%files gpl_sources
%defattr(-,root,root)
%{_prefix}/src/warewulf/3rd_party/GPL/

%changelog
